Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 540882 - repoman manifest calls git unnecessarily
Summary: repoman manifest calls git unnecessarily
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Repoman (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: portage-2.3.0
  Show dependency tree
 
Reported: 2015-02-21 09:17 UTC by Michał Górny
Modified: 2018-02-02 01:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-02-21 09:17:18 UTC
It looks that 'repoman manifest' calls git. I have no clue what for, but the result is that generating Manifests is really slow with big git repos.
Comment 1 Zac Medico gentoo-dev 2015-02-21 18:41:18 UTC
It calls git to find out if any files are modified, but we can make it skip that if --if-modified=y is not enabled.
Comment 2 Zac Medico gentoo-dev 2015-02-21 19:15:51 UTC
There's a patch in the following branch:

	https://github.com/zmedico/portage/tree/bug_540882

I've posted it for review here:

	http://thread.gmane.org/gmane.linux.gentoo.portage.devel/5263
Comment 3 Zac Medico gentoo-dev 2015-02-21 20:24:48 UTC
This is in the master branch now:

https://github.com/gentoo/portage/commit/c1489985f64443c4fba0b9661eee60f61e470d37
Comment 4 Brian Dolbec gentoo-dev 2015-03-04 21:45:27 UTC
Released in portage-2.2.18
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-01-27 18:58:29 UTC
And the issue is back, making repoman slower than ever! ;-)
Comment 6 Brian Dolbec gentoo-dev 2016-01-27 19:26:04 UTC
what version of portage is it back in?
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-01-27 19:28:54 UTC
(In reply to Brian Dolbec from comment #6)
> what version of portage is it back in?

Current git. I blame the repoman rewrite.
Comment 8 Brian Dolbec gentoo-dev 2016-01-27 20:42:36 UTC
yes, It was a rewrite regression.

Fixed in commit: https://gitweb.gentoo.org/proj/portage.git/commit/?id=1e8f007ab878509cf54a339dd4d9b7037a85593e